### Signal

# Gtk CheckButton::activate

#### Declaration

    void
    activate (
      GtkCheckButton self,
      gpointer user_data
    )

#### Description [src]

Emitted to when the check button is activated.

The `::activate` signal on `GtkCheckButton` is an action signal and emitting it causes the button to animate press then release.

Applications should never connect to this signal, but use the `GtkCheckButton::toggled` signal.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.
The signal can be emitted directly
Available since: | 4.2